package com.ruoyi.ss.store.service;

import com.ruoyi.ss.store.domain.StoreVO;

import java.util.List;

/**
 * @author qzz
 * 2024/4/29
 */
public interface IStoreAssembler {

    /**
     * 拼接设备数量
     * @param list 店铺列表
     */
    void assembleRuleInfo(List<StoreVO> list);

    /**
     * 拼接距离
     * @param list 店铺列表
     * @param lon 经度
     * @param lat 纬度
     */
    void assembleDistance(List<StoreVO> list, String lon, String lat);
}
